#include <bits/stdc++.h>
using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    int t,x1,y1,x2,y2,a,b,c,d,e;
    cin >> t;
    for(int i = 0; i < t; i++) {
        cin >> x1 >> y1 >> x2 >> y2 >> a >> b;
        c = abs(x2-x1);
        d = abs(y2-y1);
        cout << max(0,a-c+1)*max(0,b-d+1) << '\n';
    }
    return 0;
}
